
using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Call_Blacklist
	/// </summary>
	public partial class T_Call_Blacklist
	{
		private readonly ZXDT.CallCenter.DAL.T_Call_Blacklist dal=new ZXDT.CallCenter.DAL.T_Call_Blacklist();
		public T_Call_Blacklist()
		{}
		#region  BasicMethod

		
		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_BlackId)
		{
			return dal.Exists(F_BlackId);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(ZXDT.CallCenter.Model.T_Call_Blacklist model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Call_Blacklist model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_BlackId)
		{
			
			return dal.Delete(F_BlackId);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_BlackIdlist )
		{
			return dal.DeleteList(F_BlackIdlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Call_Blacklist GetModel(int F_BlackId)
		{
			
			return dal.GetModel(F_BlackId);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Call_Blacklist> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Call_Blacklist> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_Call_Blacklist> modelList = new List<ZXDT.CallCenter.Model.T_Call_Blacklist>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_Call_Blacklist model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = dal.DataRowToModel(dt.Rows[n]);
					if (model != null)
					{
						modelList.Add(model);
					}
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}


        #endregion  BasicMethod
        #region  ExtensionMethod
        public bool DeleteBlack(string F_TelPhone)
        {
            return dal.DeleteBlack(F_TelPhone);
        }
            #endregion  ExtensionMethod
        }
}

